module Dodge.Particle.Bullet.Draw
    ( drawBul
    ) where
import Dodge.Data
import Picture

drawBul :: Particle -> Picture
drawBul pt = setLayer 1 . setDepth 20 . color thecolor $ thickLine (take 3 $ _btTrail' pt) (_btWidth' pt)
  where
    thecolor = _btColor' pt
